summaryrefslogtreecommitdiff
path: root/t/t5515-fetch-merge-logic.sh
diff options
context:
space:
mode:
authorEric Sunshine <sunshine@sunshineco.com>2021-12-09 00:11:14 -0500
committerJunio C Hamano <gitster@pobox.com>2021-12-13 10:29:48 -0800
commitd0fd993137cf41be66b54628f124b6651eea0bd2 (patch)
tree5cf3d6ab76f75dabaac0ddff6cdca03dcaaf289d /t/t5515-fetch-merge-logic.sh
parentcbe1d9d630e529d3dd240eacf3d1c9799fef702b (diff)
downloadgit-d0fd993137cf41be66b54628f124b6651eea0bd2.tar.gz
t5000-t5999: detect and signal failure within loop
Failures within `for` and `while` loops can go unnoticed if not detected and signaled manually since the loop itself does not abort when a contained command fails, nor will a failure necessarily be detected when the loop finishes since the loop returns the exit code of the last command it ran on the final iteration, which may not be the command which failed. Therefore, detect and signal failures manually within loops using the idiom `|| return 1` (or `|| exit 1` within subshells). Signed-off-by: Eric Sunshine <sunshine@sunshineco.com> Reviewed-by: Elijah Newren <newren@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5515-fetch-merge-logic.sh')
-rwxr-xr-xt/t5515-fetch-merge-logic.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t5515-fetch-merge-logic.sh b/t/t5515-fetch-merge-logic.sh
index c69cfd5c64..320d26796d 100755
--- a/t/t5515-fetch-merge-logic.sh
+++ b/t/t5515-fetch-merge-logic.sh
@@ -133,7 +133,7 @@ test_expect_success setup '
git config branch.br-$remote-merge.merge refs/heads/three &&
git config branch.br-$remote-octopus.remote $remote &&
git config branch.br-$remote-octopus.merge refs/heads/one &&
- git config --add branch.br-$remote-octopus.merge two
+ git config --add branch.br-$remote-octopus.merge two || return 1
done &&
build_script sed_script
'
@@ -199,7 +199,7 @@ do
refs/heads refs/remotes/rem refs/tags |
while read val type refname
do
- git update-ref -d "$refname" "$val"
+ git update-ref -d "$refname" "$val" || return 1
done &&
git fetch "$@" >/dev/null &&
cat .git/FETCH_HEAD